## Add recipients

### cURL

```bash
curl --request POST \
  --url https://payouts.api.trykarat.com/recipients \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '\n{\n  "recipients": [\
    {\
      "firstName": "Jordan",\
      "lastName": "Lee",\
      "email": "jordan@example.com",\
      "nickname": "Jordan (design)",\
      "shouldCollectTaxInfo": true\
    }\
  ]\n}'
```

### Python

```python
import requests

url = "https://payouts.api.trykarat.com/recipients"

payload = { "recipients": [\
        {\
            "firstName": "Jordan",\
            "lastName": "Lee",\
            "email": "jordan@example.com",\
            "nickname": "Jordan (design)",\
            "shouldCollectTaxInfo": True\
        }\
    ] }
headers = {  
    "Authorization": "Bearer <token>",  
    "Content-Type": "application/json"  
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    recipients: [\
      {\
        firstName: 'Jordan',\
        lastName: 'Lee',\
        email: 'jordan@example.com',\
        nickname: 'Jordan (design)',\
        shouldCollectTaxInfo: true\
      }\
    ]
  })
};

fetch('https://payouts.api.trykarat.com/recipients', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://payouts.api.trykarat.com/recipients",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "POST",\
  CURLOPT_POSTFIELDS => json_encode([\
    'recipients' => [\
        [\
                'firstName' => 'Jordan',\
                'lastName' => 'Lee',\
                'email' => 'jordan@example.com',\
                'nickname' => 'Jordan (design)',\
                'shouldCollectTaxInfo' => true\
        ]\
    ]\
  ]),\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>",\
    "Content-Type: application/json"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://payouts.api.trykarat.com/recipients"

payload := strings.NewReader("{\n  \"recipients\": [\n    {\n      \"firstName\": \"Jordan\",\n      \"lastName\": \"Lee\",\n      \"email\": \"jordan@example.com\",\n      \"nickname\": \"Jordan (design)\",\n      \"shouldCollectTaxInfo\": true\n    }\n  ]\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Java (Unirest)

```java
HttpResponse<String> response = Unirest.post("https://payouts.api.trykarat.com/recipients")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"recipients\": [\n    {\n      \"firstName\": \"Jordan\",\n      \"lastName\": \"Lee\",\n      \"email\": \"jordan@example.com\",\n      \"nickname\": \"Jordan (design)\",\n      \"shouldCollectTaxInfo\": true\n    }\n  ]\n}")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://payouts.api.trykarat.com/recipients")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"recipients\": [\n    {\n      \"firstName\": \"Jordan\",\n      \"lastName\": \"Lee\",\n      \"email\": \"jordan@example.com\",\n      \"nickname\": \"Jordan (design)\",\n      \"shouldCollectTaxInfo\": true\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

### Responses

**201**: The recipients were created.

```json
{
  "data": {
    "success": true,
    "recipients": [\
      {\
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",\
        "firstName": "<string>",\
        "lastName": "<string>",\
        "email": "jsmith@example.com",\
        "nickname": "<string>",\
        "createdAt": "2023-11-07T05:31:56Z",\
        "onboardingUrl": "<string>"\
      }\
    ]
  }
}
```

**Error responses**:

```json
{
  "error": {
    "message": "amount: amount must be positive"
  }
}
```

```json
{
  "error": {
    "message": "Invalid api key"
  }
}
```

### Authorizations

- **Authorization**: Pass your API key as a bearer token: `Authorization: Bearer <API_KEY>`.

### Body

- **recipients**: `object[]` (required)

### Response

- **data**: `object`
